## CcPanel

CcPanel — An abstract class for Control Center panels

## Synopsis

                        CcPanel;
                        CcPanelClass;
    CcShell*            cc_panel_get_shell                  (CcPanel *panel);

## Description

CcPanel is an abstract class used to implement panels for the shell. A panel contains a collection of related settings that are displayed within the shell window.

## Details

### CcPanel

    typedef struct {
    } CcPanel;

The contents of this struct are private should not be accessed directly.

### CcPanelClass

    typedef struct {
    } CcPanelClass;

The contents of this struct are private should not be accessed directly.

### cc_panel_get_shell ()

    CcShell*            cc_panel_get_shell                  (CcPanel *panel);

Get the shell that the panel resides in

`panel` : | A CcPanel
Returns : | a CcShell